Create and manage balance accounts within a multi-currency account.
Each profile can hold multiple balance accounts in different currencies. A STANDARD balance is limited to one per currency, while SAVINGS balances (Jars) allow multiple in the same currency. Creating the first balance for a profile automatically creates the multi-currency account.
Balances include an investmentState field. Only balances with NOT_INVESTED can be operated on via the API. Invested balances should be shown but not actionable.
For a complete guide on multi-currency accounts, see Multi-Currency Accounts.
Opens a balance within the specified profile, in the currency and type specified in the request.
For STANDARD balances, only one can be created per currency. For SAVINGS balances, multiple in the same currency can be opened.
When creating a SAVINGS type balance, a name is required.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Type of balance account.
STANDARD- Standard balance account. Only one per currency per profile.SAVINGS- Savings balance (Jar). Multiple allowed per currency.
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/balances
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/balances
- UserToken
- PersonalToken
curl -i -X POST \
'https://api.wise.com/2026Q4/profiles/{profileId}/balances' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-H 'X-idempotence-uuid: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-d '{
"currency": "EUR",
"type": "STANDARD"
}'Created - Balance successfully created.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Type of balance account.
STANDARD- Standard balance account. Only one per currency per profile.SAVINGS- Savings balance (Jar). Multiple allowed per currency.
Investment state of the balance.
NOT_INVESTED- Balance is not invested.INVESTED- Balance is invested in assets.INVESTING- Balance is being invested into assets.DIVESTING- Balance is being divested from assets.UNKNOWN- Investment state is unknown.
Date when the balance was last modified.
{ "id": 200001, "currency": "EUR", "type": "STANDARD", "name": null, "icon": null, "investmentState": "NOT_INVESTED", "amount": { "value": 310.86, "currency": "EUR" }, "reservedAmount": { "value": 0, "currency": "EUR" }, "cashAmount": { "value": 310.86, "currency": "EUR" }, "totalWorth": { "value": 310.86, "currency": "EUR" }, "creationTime": "2020-05-20T14:43:16.658Z", "modificationTime": "2020-05-20T14:43:16.658Z", "visible": true }